"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  appearance: none;\n  cursor: pointer;\n  border-width: 0;\n  transition: all .1s ease;\n  min-width: 120px;\n  border-radius: 4px;\n  display: inline-block;\n  text-align: center;\n  line-height: 1;\n  padding-left: 8px;\n  padding-right: 8px;\n  padding-top: 12px;\n  padding-bottom: 12px;\n  ", "\n  ", "\n  &:hover {\n    ", "\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var getBackgroundColor = function getBackgroundColor(_ref) {
  var theme = _ref.theme;
  return {
    backgroundColor: theme.colors.primary
  };
};

var getHoverBackgroundColor = function getHoverBackgroundColor(_ref2) {
  var theme = _ref2.theme;
  return {
    backgroundColor: theme.colors.primaryHover
  };
};

var getColor = function getColor(_ref3) {
  var theme = _ref3.theme;
  return {
    color: theme.colors.primaryInverse
  };
};

var Button = _styledComponents.default.button(_templateObject(), getBackgroundColor, getColor, getHoverBackgroundColor);

exports.Button = Button;