"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Divider = exports.sizes = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  ", "\n  ", "\n  ", "\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var sizes = {
  none: 0,
  sm: 8,
  md: 16,
  lg: 24,
  xl: 48,
  xxl: 64
};
exports.sizes = sizes;

var getWidth = function getWidth(_ref) {
  var vertical = _ref.vertical;
  return vertical ? 'width: 1px;' : 'width: 100%;';
};

var getHeight = function getHeight(_ref2) {
  var vertical = _ref2.vertical;
  return vertical ? 'height: 100%;' : 'height: 1px;';
};

var getColor = function getColor(_ref3) {
  var color = _ref3.color,
      theme = _ref3.theme;
  return color ? "background-color: ".concat(color, ";") : "background-color: ".concat(theme.colors.ui03);
};

var getMargin = function getMargin(_ref4) {
  var size = _ref4.size,
      vertical = _ref4.vertical;
  return vertical ? "margin-left: ".concat(sizes[size], "px; margin-right: ").concat(sizes[size], "px") : "margin-top: ".concat(sizes[size], "px; margin-bottom: ").concat(sizes[size], "px");
};

var Divider = _styledComponents.default.div(_templateObject(), getColor, getWidth, getHeight, getMargin);

exports.Divider = Divider;