"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _fp = _interopRequireDefault(require("lodash/fp"));

var Styled = _interopRequireWildcard(require("./Image.style"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var displayName = 'Image';
var propTypes = {
  alt: _propTypes.default.string.isRequired,
  caption: _propTypes.default.string,
  size: _propTypes.default.oneOf(Object.keys(Styled.sizes)),
  src: _propTypes.default.string,
  title: _propTypes.default.string
};
var defaultProps = {};

var render = function render(_ref) {
  var alt = _ref.alt,
      caption = _ref.caption,
      src = _ref.src,
      title = _ref.title,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ["alt", "caption", "src", "title", "size"]);

  return _react.default.createElement(Styled.Figure, _extends({
    role: "group",
    size: size
  }, props), src && _react.default.createElement(Styled.Image, {
    alt: alt,
    size: size,
    src: src,
    title: title
  }), caption && _react.default.createElement(Styled.Caption, null, caption));
};

var Image = _fp.default.pipe([render]);

Image.displayName = displayName;
Image.propTypes = propTypes;
Image.defaultProps = defaultProps;
var _default = Image;
exports.default = _default;