"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Caption = exports.Figure = exports.Image = exports.sizes = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  font-size: 80%;\n  font-style: italic;\n  margin-top: 8px;\n  text-align: center;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  height: auto;\n  max-width: 100%;\n  overflow: hidden;\n  margin: 0;\n  ", "\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: block;\n  height: auto;\n  margin: 0 auto;\n  max-width: 100%;\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var sizes = {
  sm: 80,
  md: 152,
  lg: 296
};
exports.sizes = sizes;

var getWidth = function getWidth(_ref) {
  var size = _ref.size;
  return size ? "width: ".concat(sizes[size], "px") : 'width: auto';
};

var Image = _styledComponents.default.img(_templateObject(), getWidth);

exports.Image = Image;

var Figure = _styledComponents.default.figure(_templateObject2(), getWidth);

exports.Figure = Figure;

var Caption = _styledComponents.default.figcaption(_templateObject3());

exports.Caption = Caption;