"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListItem = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _breakpoint = _interopRequireDefault(require("../../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n    margin-bottom: ", "px;\n    margin-right: ", "px;\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  list-style-type: inherit;\n  flex: 1;\n\n  flex: ", ";\n\n  margin-top: 0;\n  margin-left: 0;\n  margin-right: ", "px;\n  margin-bottom: ", "px;\n\n  &:last-child {\n    margin-bottom: 0;\n    margin-right: 0;\n  }\n\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var sizes = {
  sm: 8,
  md: 16,
  lg: 32,
  xl: 48
};

var ListItem = _styledComponents.default.li(_templateObject(), function (props) {
  return props.expander ? '1' : '0 1 auto';
}, function (props) {
  return props.inline && !props.responsive ? sizes[props.size] : 0;
}, function (props) {
  return props.inline && !props.responsive ? 0 : sizes[props.size];
}, _breakpoint.default.md(_templateObject2(), function (props) {
  return props.inline ? 0 : sizes[props.size];
}, function (props) {
  return props.inline ? sizes[props.size] : 0;
}));

exports.ListItem = ListItem;