"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.lg = exports.md = exports.sm = exports.xs = exports.hidden = exports.mediaQueries = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _breakpoint = require("../../utilities/breakpoint");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var displayName = 'Hide';
var propTypes = {
  children: _propTypes.default.node,
  lg: _propTypes.default.bool,
  md: _propTypes.default.bool,
  sm: _propTypes.default.bool,
  xs: _propTypes.default.bool
};
var defaultProps = {};
var mediaQueries = {
  xs: "@media screen and (max-width: ".concat(_breakpoint.breakpoints.sm, "px)"),
  sm: "@media screen and (min-width: ".concat(_breakpoint.breakpoints.sm, "px) and (max-width: ").concat(_breakpoint.breakpoints.md, "px)"),
  md: "@media screen and (min-width: ".concat(_breakpoint.breakpoints.md, "px) and (max-width: ").concat(_breakpoint.breakpoints.lg, "px)"),
  lg: "@media screen and (min-width: ".concat(_breakpoint.breakpoints.lg, "px)")
};
exports.mediaQueries = mediaQueries;

var hidden = function hidden(key) {
  return function (props) {
    return props[key] ? _defineProperty({}, mediaQueries[key], {
      display: 'none'
    }) : null;
  };
};

exports.hidden = hidden;
var xs = hidden('xs');
exports.xs = xs;
var sm = hidden('sm');
exports.sm = sm;
var md = hidden('md');
exports.md = md;
var lg = hidden('lg');
exports.lg = lg;

var Hide = _styledComponents.default.span([], xs, sm, md, lg);

Hide.displayName = displayName;
Hide.propTypes = propTypes;
Hide.defaultProps = defaultProps;
var _default = Hide;
exports.default = _default;