"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MobileNavigationContent = exports.MobileNavigationClose = exports.MobileNavigationDrawer = exports.MobileNavigationBar = exports.MobileNavigationButton = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _breakpoint = _interopRequireDefault(require("../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n  padding: 16px;\n  ", "\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  font-size: 32px;\n  cursor: pointer;\n  position: absolute;\n  top: 8px;\n  right: 8px;\n  width: 28px;\n  height: 28px;\n  line-height: 1;\n  text-align: center;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  min-height: 100vh;\n  background-color: #fff;\n  z-index: 100;\n  ", "\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 4px;\n  background-color: black;\n  margin: 8px 0;\n  ", "\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n    display: ", ";\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  cursor: pointer;\n  display: inline-block;\n  line-height: 1;\n  width: 36px;\n  height: 36px;\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MobileNavigationButton = _styledComponents.default.a(_templateObject(), _breakpoint.default.md(_templateObject2(), function (props) {
  return props.showOnDesktop ? 'inline-block' : 'none';
}));

exports.MobileNavigationButton = MobileNavigationButton;
MobileNavigationButton.displayName = 'MobileNavigationButton';

var MobileNavigationBar = _styledComponents.default.div(_templateObject3(), function (props) {
  return props.theme.MobileNavigationBar;
});

exports.MobileNavigationBar = MobileNavigationBar;
MobileNavigationBar.displayName = 'MobileNavigationBar';

var MobileNavigationDrawer = _styledComponents.default.div(_templateObject4(), function (props) {
  return props.theme.MobileNavigationDrawer;
});

exports.MobileNavigationDrawer = MobileNavigationDrawer;
MobileNavigationDrawer.displayName = 'MobileNavigationDrawer';

var MobileNavigationClose = _styledComponents.default.div(_templateObject5());

exports.MobileNavigationClose = MobileNavigationClose;
MobileNavigationClose.displayName = 'MobileNavigationClose';

var MobileNavigationContent = _styledComponents.default.div(_templateObject6(), function (props) {
  return props.theme.MobileNavigationContent;
});

exports.MobileNavigationContent = MobileNavigationContent;
MobileNavigationContent.displayName = 'MobileNavigationContent';